/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.editpart.command.bendpoint;

import static org.fortiss.tooling.base.ui.utils.LayoutDataUIUtils.removeConnectionPoint;

import org.fortiss.tooling.base.model.layout.ILayoutedModelElement;

/**
 * Command for deleting bendpoints.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: DE82F5643CAF593D269AD8898D8DD2AC
 */
public class DeleteCommand extends CommandBase {
	/** Creates a command to delete a bend point. */
	public DeleteCommand(ILayoutedModelElement connection, int index) {
		super(connection, index, null, null);
	}

	/** {@inheritDoc} */
	@Override
	public void execute() {
		removeConnectionPoint(connection, index);
	}
}
