/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2015 ForTISS GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.constraint;

import static org.fortiss.tooling.kernel.extension.data.IConstraintViolation.ESeverity.FATAL;

import org.fortiss.tooling.kernel.extension.base.ConstraintViolationBase;
import org.fortiss.tooling.kernel.extension.data.IConstraintViolation;
import org.fortiss.tooling.kernel.model.IIdLabeled;

/**
 * {@link IConstraintViolation} for {@link IIdLabeled} elements.
 * 
 * @author barner
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: 399E20804354E3EA3EC65237BE6DE821
 */
public class IdConsistencyConstraintViolation<T extends IIdLabeled> extends
		ConstraintViolationBase<T> {

	/** Constructor. */
	public IdConsistencyConstraintViolation(T modelElement, String explanation) {
		super(modelElement, FATAL, explanation);
	}
}
