/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.databinding.validate;

import java.text.NumberFormat;
import java.text.ParseException;

import org.eclipse.core.databinding.validation.IValidator;
import org.eclipse.core.databinding.validation.ValidationStatus;
import org.eclipse.core.runtime.IStatus;

import org.conqat.lib.commons.assertion.CCSMPre;

/**
 * Validator when going from String to Double.
 * 
 * @author hummelb
 * @author $Author: deissenb $
 * @version $Rev: 34252 $
 * @levd.rating GREEN Hash: 09A18D71A8EC3BAEBAAC4E578EC96AAE
 */
public class TextToDoubleValidator implements IValidator {

	/** Singleton instance. */
	public static final TextToDoubleValidator INSTANCE = new TextToDoubleValidator();

	/** The number format used in the current locale. */
	private final NumberFormat format = NumberFormat.getNumberInstance();

	/** {@inheritDoc} */
	public IStatus validate(Object value) {
		CCSMPre.isNotNull(value);
		try {
			format.parse(value.toString());
		} catch (ParseException e) {
			return ValidationStatus.cancel(e.getMessage());
		}
		return ValidationStatus.ok();
	}
}