/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.image;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.graphics.Image;

/**
 * An image descriptor for a base image and a single overlay.
 * 
 * @author deissenb
 * @author juergens
 * @author $Author: deissenb $
 * @version $Rev: 34252 $
 * @levd.rating GREEN Hash: EF5AE471036A184794CB97333E423663
 */
public class SingleOverlayImageDescriptor extends OverlayImageDescriptor {

	/**
	 * OverlayIcon constructor.
	 * 
	 * @param baseImage
	 *            the base image
	 * @param overlay
	 *            the overlay images
	 * @param position
	 *            the position of the overlay
	 */
	public SingleOverlayImageDescriptor(Image baseImage,
			ImageDescriptor overlay, EOverlayPosition position) {
		super(baseImage);
		addOverlay(overlay, position);
	}

	/**
	 * As this called from the constructor, we make it final to prohibit strange
	 * effects in subclasses.
	 */
	@Override
	public final void addOverlay(ImageDescriptor overlay,
			EOverlayPosition position) {
		super.addOverlay(overlay, position);
	}

}